package com.joanmoncho.VisualizarDirectorio;
import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Arrays;

public class VisualizacionContenidoDirectorio {
    
	public static void main(String[] args) {
		File carpeta = new File(".");
		File[] archivos = carpeta .listFiles();
		
		if (archivos == null || archivos.length == 0) {
		    System.out.println("No hay elementos dentro de la carpeta actual");
		    return;
		}else {
		    SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
		    for (int i=0; i< archivos.length; i++) {
		        File archivo = archivos[i];
		        System.out.println(String.format("%s - (%s) - %d - %s" ,archivo.getPath(),
		                archivo.isDirectory() ? "Carpeta" : "Archivo", archivo.length(), sdf.format(archivo.lastModified())));
		    }
		}
		
	}
}